Bug 169779 - default welcome page is served in a 403: please use 200
default welcome page is served in a 403: please use 200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 11:26 EDT by Jon Dowland
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 12:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Dowland 2005-10-03 11:26:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050825 Firefox/1.0.4 (Debian package 1.0.4-2sarge3)

Description of problem:
The default redhat welcome page that is served with httpd and a pristine configuration is done so in a 403 response. This however misleads non-human web clients into believing an error has occurred. It is quite conceivable for an admin to use the libcurl GET/HEAD, or wget, or something similar to determine if the apache server is reachable and working correctly whilst working on network issues, prior to configuring httpd in any way.

Please consider returning the welcome page in a standard 200 (success) response.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install httpd
2. start httpd
3. GET <your server>
  

Actual Results:  403 response code (welcome page in body)

Expected Results:  200 response code (welcome page in body)

Additional info:
Comment 1 Joe Orton 2005-10-03 12:10:11 EDT
This is desired behaviour.  The server is not set up properly if you have not
replaced the welcome page so using a non-2xx is useful.  If you need to automate
some check, a simple "echo > /var/www/html/index.html" would suffice.

On a practical level there is no simple way to achieve a 2xx welcome page anyway.
Comment 2 Jon Dowland 2005-10-04 05:11:29 EDT
I see - you are the first person I have ever met who desires this behaviour :)
The way of thinking that we traditionally have is, the server does the serving,
and the content is another matter - therefore, a welcome page is not an error.
But it's your package...

Note You need to log in before you can comment on or make changes to this bug.